import 'package:flutter/material.dart';

class TopCenterBottomWidget extends StatelessWidget {
  TopCenterBottomWidget(
      {Key key,
        this.top_bar,
        @required this.child,
        this.bottom_bar,
        this.top_divider = false,
        this.bottom_divider = false})
      : super(key: key);

  // widgets
  final Widget top_bar;
  final Widget child;
  final Widget bottom_bar;

  // visibility of dividers
  final bool top_divider;
  final bool bottom_divider;

  @override
  Widget build(BuildContext context) {
    // TODO: implement build
    return Stack(
      fit: StackFit.loose,
      children: <Widget>[
        Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: <Widget>[
            if (top_bar != null) top_bar,
            if (top_divider)
              Divider(height: 0, color: Colors.black26),
            Flexible(
              fit: FlexFit.tight,
              child: child,
            ),
            if (bottom_divider)
              Divider(height: 0, color: Colors.black26),
            if (bottom_bar != null)
              bottom_bar,
          ],
        ),
      ],
    );
  }
}
